Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat.demos.Camineet
Class AreaExit

    java.lang.Object
      com.huguesjohnson.tiamat.demos.Camineet.AreaExit

public class AreaExit
extends java.lang.Object

AreaExit - represents an exit from an Area

Author:
  Hugues Johnson

Constructor Summary
`AreaExit(java.lang.String direction, java.lang.String name)` Creates a new AreaExit.

Method Summary
`java.lang.String` | `getDirection()` Returns the direction of this exit.
`java.lang.String` | `getName()` Returns the name of the Area where this exit leads.
`void` | `setDirection(java.lang.String direction)` Sets the direction of this exit.
`void` | `setName(java.lang.String name)` Sets the name of the Area where this exit leads.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AreaExit

    public AreaExit(java.lang.String direction,
                    java.lang.String name)

  Creates a new AreaExit.

Parameters:
  `direction` - The direction of this exit.
  `name` - The name of the Area where this exit leads.

Method Detail

### getDirection

    public java.lang.String getDirection()

  Returns the direction of this exit.

  Returns:
    The direction of this exit.

### setDirection

    public void setDirection(java.lang.String direction)

  Sets the direction of this exit.

  Parameters:
    `direction` - The direction of this exit.

### getName

    public java.lang.String getName()

  Returns the name of the Area where this exit leads.

  Returns:
    The name of the Area where this exit leads.

### setName

    public void setName(java.lang.String name)

  Sets the name of the Area where this exit leads.

  Parameters:
    `name` - The name of the Area where this exit leads.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD